Name:           aifffffs
Version:        0.1
Release:        1%{?dist}
Summary:        User-space file-system that decodes FLAC files to AIFF
Group:          Applications/Multimedia 
License:        GPLv2+
URL:            http://www.mcternan.me.uk/aifffffs/
Source0:        http://www.mcternan.me.uk/aifffffs/software/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  flac-devel >= 1.1.4 fuse-devel >= 2.6

%description
Aifffffs is a read-only user-space file-system that creates a view of an
existing directory where any FLAC files are translated into AIFF files.  As 
well as transcoding audio data, meta information such as FLAC tags and cover
art are converted to ID3 tags.

%prep
%setup -q


%build
%configure --docdir=%{_defaultdocdir}/%{name}-%{version}
make %{?_smp_mflags}


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
# due to this entry, doc must not be used to add any other files
%{_defaultdocdir}/%{name}-%{version}/
%{_bindir}/aifffffs
%{_mandir}/man1/aifffffs.1.*

%changelog
* Tue May 3 2011 Michael McTernan <Michael.McTernan.2001@cs.bris.ac.uk> 0.1-1
- Initial version.

