#!/bin/bash
#
# Re-read the AIFF multiple times and check the MD5 sum is the same
# each time.

fusermount -uz aiff &> /dev/null
mkdir aiff &> /dev/null
../src/aifffffs -ononempty -r ${TOP}flac aiff || exit 1
MD5=`md5sum aiff/middleC.aiff`

for i in {0..10} ; do

  if [ "$MD5" != "`md5sum aiff/middleC.aiff`" ] ; then
    echo "MD5 mismatch on re-read"
    exit 1
  fi 

done

fusermount -uz aiff
