#!/bin/bash
#
# Re-read the AIFF multiple times and check the stat is the same
# each time.

fusermount -uz aiff &> /dev/null
mkdir aiff &> /dev/null
../src/aifffffs -ononempty -r ${TOP}flac aiff || exit 1
MD5=`stat aiff/middleC.aiff`

for i in {0..10} ; do

  if [ "$MD5" != "`stat aiff/middleC.aiff`" ] ; then
    echo "stat mismatch on re-read"
    exit 1
  fi

done

fusermount -uz aiff
